Debian Bug report logs - #437651
tftpd-hpa: Can't handle IPv6 requests in inetd mode

version graph

Package: tftpd-hpa; Maintainer for tftpd-hpa is Daniel Baumann <mail@daniel-baumann.ch>; Source for tftpd-hpa is src:tftp-hpa.

Reported by: Roland Stigge <stigge@antcom.de>

Date: Mon, 13 Aug 2007 12:45:02 UTC

Severity: wishlist

Found in version tftp-hpa/0.43-1.1

Fixed in version tftp-hpa/5.0-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jaakko Niemi <liiwi@debian.org>:
Bug#437651; Package tftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
New Bug report received and forwarded. Copy sent to Jaakko Niemi <liiwi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tftpd-hpa: Can't handle IPv6 requests in inetd mode
Date: Mon, 13 Aug 2007 14:41:58 +0200
Package: tftpd-hpa
Version: 0.43-1.1
Severity: normal

Hi,

consider this syslog entry:

Aug 13 14:17:42 localhost in.tftpd[2555]: connect from ::ffff:10.100.254.115 (::ffff:10.100.254.115)
Aug 13 14:17:42 localhost in.tftpd[2555]: received address was not AF_INET, please check your inetd config

tftpd-hpa was called from inetd. It gets an address which is not IPv4
(AF_INET) but IPv6 (AF_INET6, I checked that).

Daemon mode works, but only with some manual fixing.  Please consider
that this bug (inetd version broken) together with #275514 (daemonized
version broken) is a serious (release critical?) problem.

bye,
  Roland

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tftpd-hpa depends on:
ii  debconf [debconf-2.0]         1.5.14     Debian configuration management sy
ii  libc6                         2.6.1-1    GNU C Library: Shared libraries
ii  libwrap0                      7.6.dbs-14 Wietse Venema's TCP wrappers libra
ii  netbase                       4.30       Basic TCP/IP networking system

tftpd-hpa recommends no packages.

-- debconf information:
* tftpd-hpa/use_inetd: true



Information forwarded to debian-bugs-dist@lists.debian.org, Jaakko Niemi <liiwi@debian.org>:
Bug#437651; Package tftpd-hpa. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Jaakko Niemi <liiwi@debian.org>. Full text and rfc822 format available.

Message #10 received at 437651@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 437651@bugs.debian.org, control@bugs.debian.org
Subject: tftpd-hpa: Can't handle IPv6 requests in inetd mode
Date: Mon, 13 Aug 2007 15:24:50 +0200
severity 437651 wishlist

Hi,

I was using inetutils-inetd which used this IPv6 address. Going back to 
openbsd-inetd fixed it.

bye,
  Roland



Severity set to `wishlist' from `normal' Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Mon, 13 Aug 2007 13:27:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 19 Jul 2009 22:21:04 GMT) Full text and rfc822 format available.

Notification sent to Roland Stigge <stigge@antcom.de>:
Bug acknowledged by developer. (Sun, 19 Jul 2009 22:21:04 GMT) Full text and rfc822 format available.

Message #17 received at 437651-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 437651-close@bugs.debian.org
Subject: Bug#437651: fixed in tftp-hpa 5.0-1
Date: Sun, 19 Jul 2009 22:02:11 +0000
Source: tftp-hpa
Source-Version: 5.0-1

We believe that the bug you reported is fixed in the latest version of
tftp-hpa, which is due to be installed in the Debian FTP archive:

tftp-hpa_5.0-1.diff.gz
  to pool/main/t/tftp-hpa/tftp-hpa_5.0-1.diff.gz
tftp-hpa_5.0-1.dsc
  to pool/main/t/tftp-hpa/tftp-hpa_5.0-1.dsc
tftp-hpa_5.0-1_i386.deb
  to pool/main/t/tftp-hpa/tftp-hpa_5.0-1_i386.deb
tftp-hpa_5.0.orig.tar.gz
  to pool/main/t/tftp-hpa/tftp-hpa_5.0.orig.tar.gz
tftpd-hpa_5.0-1_i386.deb
  to pool/main/t/tftp-hpa/tftpd-hpa_5.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 437651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tftp-hpa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Jul 2009 23:48:12 +0200
Source: tftp-hpa
Binary: tftp-hpa tftpd-hpa
Architecture: source i386
Version: 5.0-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tftp-hpa   - HPA's tftp client
 tftpd-hpa  - HPA's tftp server
Closes: 272882 437651 477109 497268 503120 505335 505367 525635 535212 537476
Changes: 
 tftp-hpa (5.0-1) unstable; urgency=low
 .
   * Merging upstream version 5.0 (Closes: #525635):
   * Taking over package, Jaakko is mia.
   * Using correct rfc-2822 date formats in changelog.
   * Removing useless whitespaces at EOL and EOF.
   * Updating package to debhelper 7.
   * Updating package to standards 3.8.2.
   * Adding homepage field in control file.
   * Adding vcs fields in control file.
   * Adding misc:Depends to depends field in control.
   * Improving package descriptions.
   * Adding syslinux-common to suggests of tftpd-hpa.
   * Sorting fields in control file.
   * Rewriting copyright file in machine-interpretable format.
   * Prefixing debhelper files with package names.
   * Adding build-depends to po-debconf.
   * Rewriting rules file from scratch.
   * Using dh_install rather than dh_movefiles.
   * Removing unused build-depend on libreadline5-dev.
   * Now running always in daemon mode, it is too error prone and messy
     to support inetd mode (Closes: #272882, #437651, #503120, #505335,
     #505367, #535212, #537476).
   * Now using /srv/tftp as default server root (Closes: #477109).
   * Using debconf to ask for server root.
   * Aborting in initscript if server root does not exist (Closes:
     #497268).
   * Rewriting initscript, using lsb functions now.
   * Updating README.Debian to reflect changes about the initscript.
   * Adding example preseed file.
Checksums-Sha1: 
 961e0c3cc503318ce8933317b2ee06b4c3bb2fc7 1144 tftp-hpa_5.0-1.dsc
 e1e899f9cbbd616af79538ad9519ff92d2bd7613 120179 tftp-hpa_5.0.orig.tar.gz
 27efa51c16732fe58ad4bbf24d4cd3357fc7798f 9952 tftp-hpa_5.0-1.diff.gz
 ec22e83d2d4bf12e624d622596711c89964322bc 24254 tftp-hpa_5.0-1_i386.deb
 7e84595755acd5d336a808f2c5c93276c20991c8 36614 tftpd-hpa_5.0-1_i386.deb
Checksums-Sha256: 
 da30f97071fa6de3e42ec6171688d4107a77b87c4f7344c82c3823c024dc0ac5 1144 tftp-hpa_5.0-1.dsc
 cbc49a4b1fe02aa84d9dae1ef7075228b40135121ae94fe937d81a317db01b67 120179 tftp-hpa_5.0.orig.tar.gz
 ea6c5adc107a13932583db0e90b4d01b5b77acc39fb8ef15eddf86c9eac04125 9952 tftp-hpa_5.0-1.diff.gz
 af6265d3e759a57146430915cf54e24a0bae7c6e22da89d7686d8780a0ea0bd6 24254 tftp-hpa_5.0-1_i386.deb
 dc46a44e8cb4df840a7aa7975b5f7495d13ba4d2bf99e7269e86fc861817eaf6 36614 tftpd-hpa_5.0-1_i386.deb
Files: 
 a9cce7a3a2d7ae9ae5d7e9a2dcfb1928 1144 net extra tftp-hpa_5.0-1.dsc
 1ae813a94670f0d8c294aafa9f5ecf65 120179 net extra tftp-hpa_5.0.orig.tar.gz
 4bbf33d12f14ebc7801d585e0bfab082 9952 net extra tftp-hpa_5.0-1.diff.gz
 ec7720617246465c8c5bde33f78b11f5 24254 net extra tftp-hpa_5.0-1_i386.deb
 dd122c52f107cec8b681d0ec75cdaf17 36614 net extra tftpd-hpa_5.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpjlikACgkQ+C5cwEsrK54cqwCgq13y2RPgU2QvvU5/JgYI/ASE
tVwAmwcuWZHSmHAYpXXSv0SG6OQtpxQ/
=lmjN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Aug 2010 07:34:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:04:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.